summaryrefslogtreecommitdiffstats
path: root/tests/ci/load_images.sh
diff options
context:
space:
mode:
authorchenjiankun <chenjiankun1@huawei.com>2017-03-28 07:58:49 +0000
committerJing Lu <lvjing5@huawei.com>2017-04-06 06:13:06 +0000
commitc5a35bcde80df0dd367e40b9acd7f941b33dc4bc (patch)
tree384f1e2b219625ee163b94c8184f0c400cea3872 /tests/ci/load_images.sh
parentd19113a5cd65f83d29ea48a3ae75cefa1d914676 (diff)
yardstick offline support
JIRA: YARDSTICK-597 Currently yardstick can not run offline. In some case this will block the process, causing yardstick job failed The reason is yardstick will pull the latest code when run in CI. Actually we need not pull the latest code because the code in yardstick is already the latest code. So I remove them. Also I check the environment variable and yardstick-image when fetch openrc file and load images. Change-Id: I797da272932ab5292aa40585c82c119aa71b8849 Signed-off-by: chenjiankun <chenjiankun1@huawei.com> (cherry picked from commit 38df788fc4a683717a6e7cbd498fad1e7cbe7209)
Diffstat (limited to 'tests/ci/load_images.sh')
-rwxr-xr-xtests/ci/load_images.sh39
1 files changed, 25 insertions, 14 deletions
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index 436d18d6d..87599100b 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -45,26 +45,30 @@ build_yardstick_image()
echo "========== Build yardstick cloud image =========="
if [[ "$DEPLOY_SCENARIO" == *"-lxd-"* ]]; then
- local cmd
- cmd="sudo $(which yardstick-img-lxd-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
+ if [ ! -f "${RAW_IMAGE}" ];then
+ local cmd
+ cmd="sudo $(which yardstick-img-lxd-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
- # Build the image. Retry once if the build fails
- $cmd || $cmd
+ # Build the image. Retry once if the build fails
+ $cmd || $cmd
- if [ ! -f "${RAW_IMAGE}" ]; then
- echo "Failed building RAW image"
- exit 1
+ if [ ! -f "${RAW_IMAGE}" ]; then
+ echo "Failed building RAW image"
+ exit 1
+ fi
fi
else
- local cmd
- cmd="sudo $(which yardstick-img-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
+ if [ ! -f "${QCOW_IMAGE}" ];then
+ local cmd
+ cmd="sudo $(which yardstick-img-modify) $(pwd)/tools/ubuntu-server-cloudimg-modify.sh"
- # Build the image. Retry once if the build fails
- $cmd || $cmd
+ # Build the image. Retry once if the build fails
+ $cmd || $cmd
- if [ ! -f "${QCOW_IMAGE}" ]; then
- echo "Failed building QCOW image"
- exit 1
+ if [ ! -f "${QCOW_IMAGE}" ]; then
+ echo "Failed building QCOW image"
+ exit 1
+ fi
fi
fi
}
@@ -245,6 +249,13 @@ main()
QCOW_IMAGE="/tmp/workspace/yardstick/yardstick-image.img"
RAW_IMAGE="/tmp/workspace/yardstick/yardstick-image.tar.gz"
+ if [ -f /home/opnfv/images/yardstick-image.img ];then
+ QCOW_IMAGE='/home/opnfv/images/yardstick-image.img'
+ fi
+ if [ -f /home/opnfv/images/yardstick-image.tar.gz ];then
+ RAW_IMAGE='/home/opnfv/images/yardstick-image.tar.gz'
+ fi
+
build_yardstick_image
load_yardstick_image
if [ "${YARD_IMG_ARCH}" == "arm64" ]; then